% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/join.R
\name{inner_join}
\alias{inner_join}
\alias{full_join}
\alias{left_join}
\alias{right_join}
\alias{anti_join}
\alias{semi_join}
\title{Wrapper around dplyr::inner_join and related functions
that prints information about the operation}
\usage{
inner_join(x, y, by = NULL, ...)

full_join(x, y, by = NULL, ...)

left_join(x, y, by = NULL, ...)

right_join(x, y, by = NULL, ...)

anti_join(x, y, by = NULL, ...)

semi_join(x, y, by = NULL, ...)
}
\arguments{
\item{x}{a tbl; see \link[dplyr:join]{inner_join}}

\item{y}{a tbl; see \link[dplyr:join]{inner_join}}

\item{by}{a vector; see \link[dplyr:join]{inner_join}}

\item{...}{see \link[dplyr:join]{inner_join}}
}
\value{
see \link[dplyr:join]{inner_join}
}
\description{
Wrapper around dplyr::inner_join and related functions
that prints information about the operation
}
\examples{
left_join(dplyr::band_members, dplyr::band_instruments, by = "name")
#> left_join: added one column (plays)
#>            > rows only in x   1
#>            > rows only in y  (1)
#>            > matched rows     2
#>            >                 ===
#>            > rows total       3
}
